package cn.yw.nhyw.nhywsbipgl.dao;

import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("nhywsbipglDao")
public class NhywsbipglDao extends BaseSqlMapDAO {

    /**
     * 增加记录
     */
    public void insert_Nhywsbipgl(Map map) throws SQLException {
        this.insert("insert_Nhywsbipgl",map);
    }

    /**
     * 批处理增加记录
     */
	/*
	public void batch_insert_Nhywsbipgl(List batch) throws SQLException{
		this.insert("batch_insert_Nhywsbipgl",batch);
	}
	*/

    /**
     * 修改记录
     */
    public Integer update_Nhywsbipgl(Map map) throws SQLException{
        return this.update("update_Nhywsbipgl",map);
    }

    /**
     * 删除记录
     */
    public Integer delete_Nhywsbipgl(Map map) throws SQLException{
        return this.delete("delete_Nhywsbipgl",map);
    }


    /**
     * 查询总数
     */
    public Integer count_Nhywsbipgl(Map map) throws SQLException{
        return (Integer)this.queryForObject("count_Nhywsbipgl",map);
    }

    /**
     * 查询列表记录
     */
    public List<Map> query_Nhywsbipgl(Map map) throws SQLException{
        return this.queryForPage("query_Nhywsbipgl",map);
    }

    /**
     * 查询列表记录
     */
	/*
	public Map get_Nhywjjzcxx(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjjzcxx",map);
	}
	*/


    /**
     * 批处理增加记录
     */
    public void batch_insert_Nhywsbipglinfo(List<Map> batch) throws SQLException{
          this.insert("batch_insert_Nhywsbipgl",batch);

    }
}
